.presentation {
    width: 100%;
    height: 33vh;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;

    background-image: url(../img/areas/intro.jpg);
    background-size: cover;
    background-position: center bottom;
    background-repeat: no-repeat;
}

.presentation-container {
    width: 80%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;

    h1 {
        font-size: clamp(2.5rem, 2.167rem + 1.111vw, 3.5rem);
        font-family: LemonLight, sans-serif;
        color: var(--white);
        text-align: center;
        text-shadow: 2px 2px 5px rgba(0, 0, 0, 1);

        animation: slide-up 1s ease-out forwards;
        opacity: 0;
        transform: translateX(-100%);
    }
}

@keyframes slide-up {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

/*TURISMO*/

.turismo {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
}

.turismo-container {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.turismo-columns {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: row nowrap;
}

.turismo-column {
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
}

.turismo-column1 {
    flex: 6;
}

.turismo-column2 {
    flex: 5;
}

.turismo-text {
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    background: var(--white);
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    padding: 2rem;
    gap: 2rem;

    p {
        color: var(--black);
    }

    h2 {
        color: var(--black);
    }
}

.turismo-collage {
    width: 100%;
    height: auto;

    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.turismo-img {
    width: 100%;
    height: auto;
    aspect-ratio: 1 / 1;
    background-size: cover;
    background-position: center;
    transition: transform 0.3s ease;
}

.turismo-img1 {
    background-image: url(../img/areas/turismo1.jpg);
    border-top-left-radius: 10px;
}

.turismo-img2 {
    background-image: url(../img/areas/turismo2.jpg);
    border-top-right-radius: 10px;
}

.turismo-img3 {
    background-image: url(../img/areas/turismo3.jpg);
    border-bottom-left-radius: 10px;
}

.turismo-img4 {
    background-image: url(../img/areas/turismo4.jpg);
    border-bottom-right-radius: 10px;
}

.turismo-img:hover {
    transform: scale(1.05);
    z-index: 2;
    position: relative;
}

/*JUVENTUD*/

.juventud {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
}

.juventud-container {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.juventud-columns {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: row nowrap;
}

.juventud-column {
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
}

.juventud-column1 {
    flex: 5;
}

.juventud-column2 {
    flex: 6;
}

.juventud-text {
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    background: var(--white);
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    padding: 2rem;
    gap: 2rem;

    p {
        color: var(--black);
    }

    h2 {
        color: var(--black);
    }
}

.juventud-collage {
    width: 100%;
    height: auto;

    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.juventud-img {
    width: 100%;
    height: auto;
    padding-top: 100%;
    background-size: cover;
    background-position: center;
    transition: transform 0.3s ease;
}

.juventud-img1 {
    background-image: url(../img/areas/juventud1.jpg);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    grid-column: 1 / 3;
    padding-top: 50%;
}

.juventud-img2 {
    background-image: url(../img/areas/juventud2.jpg);
    border-bottom-left-radius: 10px;
}

.juventud-img3 {
    background-image: url(../img/areas/juventud3.jpg);
    border-bottom-right-radius: 10px;
}

.juventud-img:hover {
    z-index: 2;
    position: relative;
}

.juventud-img1:hover {
    transform: scale(1.025);
}

.juventud-img2:hover, .juventud-img3:hover {
    transform: scale(1.05);
}

/*SERVICIOS*/

.servicios {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
}

.servicios-container {
    width: 90%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

/*Slider con JS*/

.slides-js {
  display: flex;
  transition: transform 0.5s ease;
  width: 100%;
}

.slide-js {
  width: 100%;
  flex-shrink: 0;
  display: flex;
  background: var(--white);
  color: var(--black);
}

.servicios-text {
    padding: 4.5rem;
    gap: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.servicios-text h2,
.servicios-text p {
    color: var(--black);
}

.servicios-text,
.servicios-img {
  flex: 1;
}

.servicios-img {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    aspect-ratio: 16/9;
}

.servicios-img1 {
    background-image: url(../img/areas/mayores.jpg);
}

.servicios-img2 {
    background-image: url(../img/areas/igualdad.jpg);
}

.servicios-img3 {
    background-image: url(../img/areas/servicios.jpg);
}

/*Botones del slider*/
.slider-js {
    position: relative;
    width: 100%;
    overflow: hidden;
    display: block;
}

.slider-js .slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: var(--black);
    color: var(--white);
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    cursor: pointer;
    font-size: 1.2rem;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.3s, color 0.3s;
}

.slider-js .slider-btn:hover {
    background: var(--white);
    color: var(--black);
}


.slider-js .slider-btn.prev {
    left: 1rem;
    display: block !important;
}

.slider-js .slider-btn.next {
    right: 1rem;
}

/*Social media*/

.servicios-social-media {
    list-style: none;
    padding: 0;
}

.servicios-social-media li {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.servicios-social-media i {
    margin-right: .5rem;
    color: var(--black);
}

.servicios-social-media a {
    font-family: Montserrat, sans-serif;
    text-decoration: none;
    position: relative;
    font-size: clamp(1rem, 0.933rem + 0.222vw, 1.2rem);
    color: var(--black);
}

.servicios-social-media li a::after {
    content: "";
    position: absolute;
    bottom: 0; 
    left: 0; 
    width: 100%; 
    height: 2px; 
    background-color: var(--black); 
    transform: scaleX(0); 
    transform-origin: right; 
    transition: transform 0.5s ease; 
}
  
.servicios-social-media a:hover::after {
    transform: scaleX(1);
    transform-origin: left; 
}

/*CULTURA*/

.cultura {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
}

.cultura-container {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.cultura-columns {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: row nowrap;
}

.cultura-column {
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
}

.cultura-column1 {
    flex: 6;
}

.cultura-column2 {
    flex: 5;
}

.cultura-text {
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    background: var(--white);
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    padding: 2rem;
    gap: 2rem;

    p {
        color: var(--black);
    }

    h2 {
        color: var(--black);
    }
}

.cultura-collage {
    width: 100%;
    height: auto;

    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.cultura-img {
    width: 100%;
    height: auto;
    padding-top: 100%;
    background-size: cover;
    background-position: center;
    transition: transform 0.3s ease;
}

.cultura-img1 {
    background-image: url(../img/areas/cultura1.jpg);
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    grid-column: 1;
    grid-row: 1 / 3;
    padding-top: 50%;
}

.cultura-img2 {
    background-image: url(../img/areas/cultura2.jpg);
    border-top-right-radius: 10px;
    grid-column: 2;
    grid-row: 1;
}

.cultura-img3 {
    background-image: url(../img/areas/cultura3.jpg);
    border-bottom-right-radius: 10px;
    grid-column: 2;
    grid-row: 2;
}

.cultura-img:hover {
    z-index: 2;
    position: relative;
}

.cultura-img1:hover {
    transform: scale(1.025);
}

.cultura-img2:hover, .cultura-img3:hover {
    transform: scale(1.05);
}

/*DEPORTES*/

.deportes {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
}

.deportes-container {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
}

.deportes-title {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.deportes-content {
    width: 100%;
    height: auto;
    aspect-ratio: 16/4;

    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;

    background-image: url(../img/areas/deportes.jpg);
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;
}

.deportes-items {
    width: 80%;
    height: auto;
    padding: 2rem;
    margin: 2rem;

    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    background: var(--white);
    gap: 2rem;
    h1, p {
        color: var(--black);
    }
}

.deportes-item {
    flex: 1;
    height: auto;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: flex-start;
    gap: 2rem;

    h2 {
        font-size: clamp(2rem, 1.667rem + 1.111vw, 3rem);
        text-align: right;
        color: var(--black);
    }
}

/*FIESTAS*/

.fiestas {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
    padding-bottom: 2rem;
}

.fiestas-container {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.fiestas-columns {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: row nowrap;
    gap: 2rem;
}

.fiestas-column {
    height: auto;

    display: flex;
    justify-content: center;
    flex-flow: column nowrap;
}

.fiestas-column2 {
    flex: 1;
    align-items: flex-start;
    gap: 2rem;
}

.fiestas-column1 {
    flex: 1;
    align-items: center;

}

.fiestas-text {
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    background: var(--white);
    border-radius: 10px;
    padding: 2rem;
    gap: 2rem;

    p {
        color: var(--black);
    }

    h2 {
        color: var(--black);
    }
}

.evento-item {
    display: flex;
    background-color: var(--white);
    color: var(--black);
    border-radius: 10px;
    overflow: hidden;
    align-items: center;
    position: relative;

    background-image: linear-gradient(to right, var(--scroll-grey), var(--scroll-grey));
    background-size: 0% 100%;
    background-repeat: no-repeat;
    background-position: left;
    transition: background-size 0.4s ease;
}

.evento-item:hover {
    background-size: 100% 100%;
}

.evento-info h3,
.evento-info p,
.evento-info a {
    transition: color 0.4s ease;
}

.evento-item:hover .evento-info h3,
.evento-item:hover .evento-info p,
.evento-item:hover .evento-info a {
    color: var(--white);
}

.evento-imagen img {
    flex: 1;
    height: auto;
    object-fit: cover;
    aspect-ratio: 1/1;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.evento-imagen {
    display: flex;
    align-items: stretch;
    line-height: 0;
}


.evento-imagen a img {
    display: block;
    line-height: 0;
}


.evento-imagen a {
    text-decoration: none;
    color: inherit;
    display: inline-block;
    padding: 0;
    margin: 0;
    position: relative;
}

.evento-info {
    flex: 1;
    padding: 1rem;
}

.evento-info h3 {
    font-weight: bold;
}

.evento-info h3 a {
    position: relative;
    text-decoration: none;
    color: var(--black);
    display: inline-block;
}

.evento-info h3 a::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 2px;
    background-color: var(--black);
    transition: width 0.3s ease;
}

.evento-item:hover .evento-info h3 a {
    color: var(--white);
}

.evento-item:hover .evento-info h3 a::after {
    background: var(--white);
}


.evento-info h3 a:hover::after {
    width: 100%;
}


.evento-fecha {
    font-size: 0.9rem;
    font-weight: bold;
    margin-bottom: 6px;
    color: var(--black);
}

.evento-info p {
    max-height: 3.8em; /*Limita a 2 líneas*/
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--black);
    display: -webkit-box;
    -webkit-line-clamp: 2; /*Número de líneas*/
    -webkit-box-orient: vertical;
}

/*LIGHTBOX*/
.galeria-item {
    position: relative;
    width: 100%;
    background-size: cover;
    background-position: center;
    overflow: hidden;

    cursor: pointer;
    transition: transform 0.3s ease;
}

/*Overlay oscuro*/
.galeria-item::before {
    content: '';
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: opacity 0.3s ease;
    border-radius: inherit;
    z-index: 1;
}

/*Lupa*/

.galeria-item::after {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f00e";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.5);
    color: var(--white);
    font-size: 2rem;
    opacity: 0;
    transition: opacity 0.3s ease, transform 0.3s ease;
    pointer-events: none;
}

.galeria-item:hover::before {
    opacity: 1;
}
  
.galeria-item:hover::after {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
}

.galeria-item::before {
    content: '';
    position: absolute;
    inset: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: inherit;
}

/*GALERIA LIGHTBOX*/
.galeria-lightbox {
  --bg: rgba(0,0,0,0.8);
  position: fixed;
  inset: 0;
  background: var(--bg);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;

  opacity: 0;
  transform: scale(0.95);
  pointer-events: none;
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.galeria-lightbox.active {
  opacity: 1;
  transform: scale(1);
  pointer-events: all;
}


/*Imagen ampliada*/
.galeria-lightbox img {
  max-width: 90%;
  max-height: 90%;
  box-shadow: 0 4px 20px rgba(0,0,0,0.5);
}

/*Botón x para cerrar imagen*/
.galeria-lightbox .close-btn {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f00d";
  font-size: 2rem;
  color: var(--white);
  cursor: pointer;
}

.galeria-lightbox .close-btn::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f00d";
    font-size: 2rem;
    color: var(--white);
}

@media (max-width: 1160px) {
    /*TURISMO Y JUVENTUD*/
    .turismo-column1, .turismo-column2, .juventud-column1, .juventud-column2 {
        flex: 1;
    }

    .turismo-img {
        aspect-ratio: 4/5;
    }

    .juventud-img1 {
        aspect-ratio: 16/10;
    }

    /*SERVICIOS*/
    .servicios-img {
        aspect-ratio: 16/12;
    }

    /*CULTURA*/
    .cultura-column1, .cultura-column2 {
        flex: 1;
    }

    .cultura-img {
        padding-top: 120%;
    }
}

@media (max-width: 1010px) {
    /*TURISMO Y JUVENTUD*/
    .turismo-img {
        aspect-ratio: 4/7;
    }

    .juventud-img1 {
        aspect-ratio: 16/13;
    }
    
}

@media (max-width: 990px) {
    /*SERVICIOS*/
    .servicios-img {
        aspect-ratio: 16/9;
    }
    .slide-js {
        flex-flow: column-reverse nowrap;
    }
    .servicios-text {
        padding: 2rem;
    }
    /*CULTURA*/
    .cultura-img {
        padding-top: 160%;
    }

    /*DEPORTES*/
    .deportes-items {
        width: 90%;
    }
}

@media (max-width: 950px) {
    /*FIESTAS*/
    .fiestas-columns {
        flex-flow: column nowrap;
    }
}

@media (max-width: 850px) {
    /*DEPORTES*/
    .deportes-content {
        aspect-ratio: 16/7;
    }
    /*TURISMO Y JUVENTUD*/
    .turismo-img {
        aspect-ratio: 1/1;
    }
    .juventud-img {
        aspect-ratio: 0;
        padding-top: 50%;
    }
    .turismo-columns {
        flex-flow: column-reverse nowrap;
        gap: 2rem;
    }
    .juventud-columns {
        flex-flow: column nowrap;
        gap: 2rem;
    }
    .turismo-text, .juventud-text {
        border-radius: 10px;
    }
    .turismo-column1, .turismo-column2, .juventud-column1, .juventud-column2 {
        width: 100%;
    }

    /*CULTURA*/
    .cultura-column1, .cultura-column2 {
        width: 100%;
    }

    .cultura-text {
        border-radius: 10px;
    }

    .cultura-img {
        padding-top: 100%;
    }

    .cultura-columns {
        flex-flow: column-reverse nowrap;
        gap: 2rem;
    }

    /*DEPORTES*/
    .deportes-items {
        flex-flow: column nowrap;
        gap: 1rem;
    }

    .deportes-item h2 {
        text-align: left;
    }

    /*DEPORTES*/
    .deportes-content {
        aspect-ratio: 16/9;
    }
}


@media (max-width: 550px) {
    /*DEPORTES*/
    .deportes-content {
        aspect-ratio: 16/15;
    }
}

